# eEmp Class Reference

Weighted empirical density. More...

`#include <libEF.h>`

Inheritance diagram for eEmp:

[legend]
Collaboration diagram for eEmp:

[legend]

List of all members.

## Public Member Functions
| eEmp (const RV &rv0, int n0)
| Default constructor.
void | set_parameters (const vec &w0, const epdf *pdf0)
| Set samples and weights.
void | set_samples (const epdf *pdf0)
| Set sample.
void | set_n (int n0, bool copy=true)
| Set sample.
vec & | _w ()
| Potentially dangerous, use with care.
const vec & | _w () const
| Potentially dangerous, use with care.
Array< vec > & | _samples ()
| access function
const Array< vec > & | _samples () const
| access function
ivec | resample (RESAMPLING_METHOD method=SYSTEMATIC)
| Function performs resampling, i.e. removal of low-weight samples and duplication of high-weight samples such that the new samples represent the same density.
vec | sample () const
| inherited operation : NOT implemneted
double | evallog (const vec &val) const
| inherited operation : NOT implemneted
vec | mean () const
| return expected value
vec | variance () const
| return expected variance (not covariance!)
virtual mat | sample_m (int N) const
| Returns N samples from density .
virtual vec | evallog_m (const mat &Val) const
| Compute log-probability of multiple values argument `val`.
virtual mpdf * | condition (const RV &rv) const
| Return conditional density on the given RV, the remaining rvs will be in conditioning.
virtual epdf * | marginal (const RV &rv) const
| Return marginal density on the given RV, the remainig rvs are intergrated out.
const RV & | _rv () const
| access function, possibly dangerous!
void | _renewrv (const RV &in_rv)
| modifier function - useful when copying epdfs
## Protected Attributes
int | n
| Number of particles.
vec | w
| Sample weights .
Array< vec > | samples
| Samples .
RV | rv
| Identified of the random variable.

## Detailed Description

Weighted empirical density.

Used e.g. in particle filters.

The documentation for this class was generated from the following files:

- work/git/mixpp/bdm/stat/libEF.h
- work/git/mixpp/bdm/stat/libEF.cpp